package com.gic.enterprise.base;

import java.io.Serializable;
/**
 * 菜单
 * @ClassName: MenuInfo 
 * @Description:  
 * @author guojuxing 
 * @date 2019/11/7 10:26 AM 
 */
public class MenuInfo implements Serializable{
    private static final long serialVersionUID = -8742818837296730949L;

    private Integer menuId;

    private String menuName;

    private Integer parentId;

    private Integer level;

    /**
     * 菜单路由
     */
    private String menuUrl;

    /**
     * 前端使用：二级域名，也就是项目的部署路径，比如门店项目部署在/damo-store下面，那么就是/damo-store
     */
    private String projectUrlForWeb;

    public Integer getMenuId() {
        return menuId;
    }

    public void setMenuId(Integer menuId) {
        this.menuId = menuId;
    }

    public String getMenuName() {
        return menuName;
    }

    public void setMenuName(String menuName) {
        this.menuName = menuName;
    }

    public Integer getParentId() {
        return parentId;
    }

    public void setParentId(Integer parentId) {
        this.parentId = parentId;
    }

    public Integer getLevel() {
        return level;
    }

    public void setLevel(Integer level) {
        this.level = level;
    }

    public String getMenuUrl() {
        return menuUrl;
    }

    public void setMenuUrl(String menuUrl) {
        this.menuUrl = menuUrl;
    }

    public String getProjectUrlForWeb() {
        return projectUrlForWeb;
    }

    public void setProjectUrlForWeb(String projectUrlForWeb) {
        this.projectUrlForWeb = projectUrlForWeb;
    }
}
